org.aspectj.runtime.internal

## Class CFlowCounter

- java.lang.Object
- - org.aspectj.runtime.internal.CFlowCounter

    public class CFlowCounter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CFlowCounter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `dec()`
`static String` `getThreadStackFactoryClassName()`
`void` `inc()`
`boolean` `isValid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CFlowCounter

    public CFlowCounter()

### Method Detail

#### inc

    public void inc()

#### dec

    public void dec()

#### isValid

    public boolean isValid()

#### getThreadStackFactoryClassName

    public static String getThreadStackFactoryClassName()